# Class HTMLPage

java.lang.Object
com.meterware.httpunit.ParsedHTML
com.meterware.httpunit.HTMLPage

public class HTMLPage extends ParsedHTML
This class represents an HTML page returned from a request.

Author:
  Russell Gold, Benoit Xhenseval

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`HTMLPage.Scriptable`
scriptable for HTML Page

## Method Summary

Modifier and Type
Method
Description
`String`
`getExternalStyleSheet()`
Returns the location of the linked stylesheet in the head ``
`String[]`
`getMetaTagContent(String attribute, String attributeValue)`
Retrieves the "content" of the meta tags for a key pair attribute-attributeValue.
`String`
`getOnLoadEvent()`
Returns the onLoad event script.
`String`
`getTitle()`
Returns the title of the page.
`void`
`parse(String text, URL pageURL)`
parse the given test with the given URL

### Methods inherited from class ParsedHTML

`getApplets, getDOM, getElementNames, getElementsWithAttribute, getElementsWithName, getElementWithID, getFirstMatchingForm, getFirstMatchingLink, getFirstMatchingTable, getFirstMatchingTextBlock, getForms, getFormWithID, getFormWithName, getFrames, getImages, getImageWithAltText, getImageWithName, getImageWithSource, getLinks, getLinkWith, getLinkWithID, getLinkWithImageText, getLinkWithName, getMatchingForms, getMatchingLinks, getMatchingTables, getNextTextBlock, getTables, getTableStartingWith, getTableStartingWithPrefix, getTableWithID, getTableWithSummary, getTextBlocks, isWebLink, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getTitle

public String getTitle() throws SAXException
Returns the title of the page.

Throws:
  `SAXException`

### getOnLoadEvent

public String getOnLoadEvent() throws SAXException
Returns the onLoad event script.

Throws:
  `SAXException`

### getExternalStyleSheet

public String getExternalStyleSheet() throws SAXException
Returns the location of the linked stylesheet in the head ``

Throws:
  `SAXException`

### getMetaTagContent

public String[] getMetaTagContent(String attribute, String attributeValue)
Retrieves the "content" of the meta tags for a key pair attribute-attributeValue. `` this can be used like this `getMetaTagContent("name","robots") will return { "index","follow" } getMetaTagContent("http-equiv","Expires") will return { "now" }`

### parse

public void parse(String text, URL pageURL) throws SAXException, IOException
parse the given test with the given URL

Parameters:
  `text` -
  `pageURL` -
Throws:
  `SAXException`
  `IOException`